--- nagios-plugins-1.4.2/plugins/check_by_ssh.c	2004-12-25 13:09:19.000000000 +0100
+++ nagios-plugins-1.4.2-ssh/plugins/check_by_ssh.c	2006-04-18 18:25:28.292446847 +0200
@@ -194,6 +194,8 @@
 		{"proto2", no_argument, 0, '2'},
 		{"use-ipv4", no_argument, 0, '4'},
 		{"use-ipv6", no_argument, 0, '6'},
+		{"ssh-options", required_argument, 0, 'o'},
+		{"quiet", no_argument, 0, 'q'},
 		{0, 0, 0, 0}
 	};
 
@@ -205,7 +207,7 @@
 			strcpy (argv[c], "-t");
 
 	while (1) {
-		c = getopt_long (argc, argv, "Vvh1246ft:H:O:p:i:u:l:C:S:n:s:", longopts,
+		c = getopt_long (argc, argv, "Vvh1246fqt:H:O:p:i:u:l:C:S:n:s:o:", longopts,
 									 &option);
 
 		if (c == -1 || c == EOF)
@@ -282,6 +284,14 @@
 			else
 				skip_lines = atoi (optarg);
 			break;
+		case 'o':
+		/* extra options for the ssh command */
+			asprintf (&comm, "%s -%c '%s'", comm, c, optarg);
+			break;
+		case 'q':
+		/* tell the ssh command to be quiet */
+			asprintf (&comm, "%s -%c", comm, c);
+			break;
 		}
 	}
 
